CVE-2008-1998 Details

CVE-2008-1998

Published: 2008-04-28
Last Modified: 2018-10-31
CVE Author: NIST National Vulnerability Database
CVE Assigner: cve@mitre.org
Summary

The NNSTAT (aka SYSPROC.NNSTAT) procedure in IBM DB2 8 before FP16, 9.1 before FP4a, and 9.5 before FP1 on Windows allows remote authenticated users to overwrite arbitrary files via the log file parameter.

Analysis
Common Vulnerability Score System v2.0
Severity High
Base Score 8.5/10
Exploit Score 6.8/10
Access Vector Network
Access Complexity Medium
Authentication Single
Impact Score 10/10
Confidentiality Impact Complete
Availability Impact Complete
Integrity Impact Complete
Vector String AV:N/AC:M/Au:S/C:C/I:C/A:C
Common Vulnerability Score System v3.1

NIST has not assigned a CVSSv3.1 Score.

Products Reported
CPE Vulnerable Start Excluding
cpe:2.3:o:microsoft:windows:*:*:*:*:*:*:*:* No - -
cpe:2.3:a:ibm:db2:8.0:fp1:*:*:*:*:*:* Yes - -
cpe:2.3:a:ibm:db2:8.0:fp10:*:*:*:*:*:* Yes - -
cpe:2.3:a:ibm:db2:8.0:fp11:*:*:*:*:*:* Yes - -
cpe:2.3:a:ibm:db2:8.0:fp12:*:*:*:*:*:* Yes - -
cpe:2.3:a:ibm:db2:8.0:fp13:*:*:*:*:*:* Yes - -
cpe:2.3:a:ibm:db2:8.0:fp14:*:*:*:*:*:* Yes - -
cpe:2.3:a:ibm:db2:8.0:fp15:*:*:*:*:*:* Yes - -
cpe:2.3:a:ibm:db2:8.0:fp2:*:*:*:*:*:* Yes - -
cpe:2.3:a:ibm:db2:8.0:fp3:*:*:*:*:*:* Yes - -
cpe:2.3:a:ibm:db2:8.0:fp4:*:*:*:*:*:* Yes - -
cpe:2.3:a:ibm:db2:8.0:fp5:*:*:*:*:*:* Yes - -
cpe:2.3:a:ibm:db2:8.0:fp6:*:*:*:*:*:* Yes - -
cpe:2.3:a:ibm:db2:8.0:fp6a:*:*:*:*:*:* Yes - -
cpe:2.3:a:ibm:db2:8.0:fp6b:*:*:*:*:*:* Yes - -
cpe:2.3:a:ibm:db2:8.0:fp6c:*:*:*:*:*:* Yes - -
cpe:2.3:a:ibm:db2:8.0:fp7:*:*:*:*:*:* Yes - -
cpe:2.3:a:ibm:db2:8.0:fp7a:*:*:*:*:*:* Yes - -
cpe:2.3:a:ibm:db2:8.0:fp7b:*:*:*:*:*:* Yes - -
cpe:2.3:a:ibm:db2:8.0:fp8:*:*:*:*:*:* Yes - -
cpe:2.3:a:ibm:db2:8.0:fp8a:*:*:*:*:*:* Yes - -
cpe:2.3:a:ibm:db2:8.0:fp9:*:*:*:*:*:* Yes - -
cpe:2.3:a:ibm:db2:8.0:fp9a:*:*:*:*:*:* Yes - -
cpe:2.3:a:ibm:db2:9.1:fp1:*:*:*:*:*:* Yes - -
cpe:2.3:a:ibm:db2:9.1:fp2:*:*:*:*:*:* Yes - -
cpe:2.3:a:ibm:db2:9.1:fp3:*:*:*:*:*:* Yes - -
cpe:2.3:a:ibm:db2:9.1:fp3a:*:*:*:*:*:* Yes - -
cpe:2.3:a:ibm:db2:9.1:fp4:*:*:*:*:*:* Yes - -
cpe:2.3:a:ibm:db2:9.5:*:*:*:*:*:*:* Yes - -
References

http://secunia.com/advisories/29022
http://secunia.com/advisories/29784
http://securityreason.com/securityalert/3840
http://www.appsecinc.com/resources/alerts/db2/2008-03.shtml
http://www.securityfocus.com/archive/1/491073/100/0/threaded
http://www.securityfocus.com/bid/28836
http://www-1.ibm.com/support/docview.wss?uid=swg1IZ06976
http://www-1.ibm.com/support/docview.wss?uid=swg1IZ06977
http://www-1.ibm.com/support/docview.wss?uid=swg1IZ10776
https://exchange.xforce.ibmcloud.com/vulnerabilities/41960

CVE ID
CVE-2008-1998
Published
2008-04-28
Modified
2018-10-31
CVSSv2.0
High
PCI Compliance
Fail
US-CERT Alert
No
CWE
CWE-264

You never have to pay for a vulnerability scanning and management software again.

Tired of paying a subscription 'per asset' or 'per IP'? Well you can officially cancel your current subscription. Mageni provides a free, open source and enterprise-ready vulnerability scanning and management platform which helps you to find, prioritize, remediate and manage your vulnerabilities.